%undefine __libtoolize
%define unstable 0
%define _optlevel s
%define glibc_core_ver %{get_version glibc-core}
%define _keep_libtool_files 1
%_K_if_ver_lt %glibc_core_ver 2.5
%define _keep_libtool_files 0
%endif

%add_findprov_lib_path %_libkde
%add_findreq_skiplist %_Kapps/kross/python/RestrictedPython/*
%add_verify_elf_skiplist %_libdir/libkexiformutils.so*
%add_verify_elf_skiplist %_libdir/libkexirelationsview.so*
%add_verify_elf_skiplist %_libdir/libkexidb.so*
%add_verify_elf_skiplist %_libdir/libkrossapi.so*
%add_verify_elf_skiplist %_libdir/libkexiguiutils.so*

%define qtdir %_qt3dir
%define kdedir %prefix

Name: koffice
Version: 1.6.3
%define rlz alt2
%define beta %nil
Serial: 4

%if "%beta" == "%nil"
Release: %rlz
%else
Release: %rlz.%beta
%endif

Group: Office
Summary: Set of office applications for KDE
URL: http://www.koffice.org/
License: GPL

Requires: koffice-karbon = %version-%release
Requires: koffice-kchart = %version-%release
Requires: koffice-kexi = %version-%release
Requires: koffice-krita = %version-%release
Requires: koffice-kformula = %version-%release
Requires: koffice-kivio = %version-%release
#Requires: koffice-doc = %version-%release
Requires: koffice-libs = %version-%release
#Requires: koffice-kontour = %version-%release
#Requires: koffice-koshell = %version-%release
Requires: koffice-kpresenter = %version-%release
Requires: koffice-kspread = %version-%release
Requires: koffice-kugar = %version-%release
Requires: koffice-kword = %version-%release
Requires: koffice-kplato = %version-%release

%if "%beta" == "%nil"
Source: koffice-%version.tar.bz2
%else
Source: koffice-%version-%beta.tar.bz2
%endif

# ALT
Patch20: koffice-1.6.2-alt-desktop-categories.patch
Patch21: koffice-1.6.2-alt-no-kexi-examples.patch

# Automatically added by buildreq on Thu Mar 18 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs bzlib-devel doxygen fontconfig-devel freetype2-devel gcc-c++ glib2-devel kde-settings kdelibs-devel libImageMagick-devel libart_lgpl-devel libarts-devel libaspell-devel libexif-devel libgsf-devel libjpeg-devel liblcms-devel libpng-devel libqt3-devel libstdc++-devel libtiff-devel libwv2-devel libxml2-devel libxslt-devel pkgconfig python-devel qt3-designer qt3-doc xml-utils zlib-devel

BuildRequires: xorg-x11-devel bzlib-devel doxygen openexr-devel
BuildRequires: fontconfig-devel freetype2-devel gcc-c++ glib2-devel
BuildRequires: libImageMagick-devel libGraphicsMagick-c++-devel
BuildRequires: kdelibs-devel libart_lgpl-devel libarts-devel
BuildRequires: libaspell-devel libexif-devel libgsf-devel libjpeg-devel liblcms-devel
BuildRequires: libpng-devel libqt3-devel libstdc++-devel libtiff-devel libwv2-devel
BuildRequires: libxml2-devel libxslt-devel pkg-config python-devel ruby libruby-devel
BuildRequires: libpqxx-devel libpoppler-qt-devel
BuildRequires: libMySQL-devel libwpd-devel
#libacl-devel libattr-devel
BuildRequires: qt3-designer qt3-doc xml-utils zlib-devel libreadline-devel
#BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs >= 3.0.0 kdelibs-devel >= 3.0.0

%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * Kontour
   * Krayon
   * Kugar
   * Kivio
   * Some filters (Excel 97, Winword 97/2000, etc.)

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: koffice <= 1.2.1-alt4
#
%description common
Common empty package for %name

%package devel
Group: Development/KDE and QT
Summary: Header files for developing koffice applications
Requires: %name-common = %serial:%version-%release
#
%description devel
Header files needed for developing koffice applications.

%package libs
Group: System/Libraries
Summary: Common libraries for koffice
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description libs
Common libraries for koffice

%package kplato
Group: Office
Summary: Project planning and management application
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kplato
Kplato is a project management application and a planning tool.
As an integrated component of Koffice, Kplato can
be used within larger documents of other Koffice components.

%package karbon
Group: Graphics
Summary: Vector graphics application
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description karbon
Vector graphics application

%package kchart
Group: Office
Summary: Chart generator
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kchart
Chart generator

%package kformula
Group: Office
Summary: Formula editor
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kformula
Formula editor

%package kivio
Group: Office
Summary: Flowcharting tool
Obsoletes: kivio, koffice-kivio
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kivio
Flowcharting tool

%package kontour
Group: Office
Summary: Illustration tool
Obsoletes: kontour
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kontour
Illustration tool

%package koshell
Group: Office
Summary: Koffice workspace
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description koshell
Koffice workspace

%package kpresenter
Group: Office
Summary: Presentation tool
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kpresenter
Presentation tool

%package kspread
Group: Office
Summary: Spreadsheet application
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kspread
Spreadsheet application

%package kugar
Group: Office
Summary: A template driven report viewer for XML data
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kugar
A template driven report viewer for XML data

%package krita
Group: Graphics
Summary: Paint application for bitmap images.
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description krita
Krita is a paint application for bitmap images.

%package kword
Group: Office
Summary: Word processor
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kword
Word processor

%package kexi
Group: Office
Summary: Database management
Requires: %{get_dep kdelibs}
Requires: %name-common = %serial:%version-%release
#
%description kexi
Office database management program

%prep
%if "%beta" == "%nil"
%setup -q -n %name-%version
%else
%setup -q -n %name-%version-%beta
%endif

%patch20 -p1
%patch21 -p1

# hack to fix add .h .cpp .moc
#for f in `find ./ -type f -name \*.ui`
#do
#    %qtdir/bin/uic $f -o `echo $f|sed "s/\.ui/.h/"` 2>/dev/null ||:
#    %qtdir/bin/uic $f -impl `echo $f|sed "s/\.ui/.h/"` $f -o `echo $f|sed "s/\.ui/.cpp/"` 2>/dev/null ||:
#done
#for f in `find ./ -type f -name \*.h`; do %qtdir/bin/moc $f -o `echo $f|sed "s/\.h/.moc/"` 2>/dev/null ||:; done

%if %_keep_libtool_files
for f in `find $PWD -type f -name Makefile.am`
do
    grep -q LDFLAGS $f || continue
    RPATH_LINK_OPTS="$RPATH_LINK_OPTS -Wl,-rpath-link,`dirname $f`/.libs"
done
sed -i "s|\(-Wl,--as-needed\)| $RPATH_LINK_OPTS \1|g" admin/acinclude.m4.in
%else
#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
%endif
make -f admin/Makefile.common cvs ||:

%build
#export PYTHONDIR=/usr/lib/python2.2
export QTDIR=%qtdir KDEDIR=%kdedir
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%add_optflags %optflags_shared -DHAVE_EACCESS

%configure \
    \
%if "%beta" != "%nil" || %unstable
    --disable-final \
%else
    --enable-final \
%endif
    \
%if %unstable
    --enable-debug=full \
%else
    --enable-debug=no \
%endif
%if "%beta" != "%nil"
    --enable-debug=yes \
%endif
    \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --disable-static \
    --enable-shared \
    --disable-embedded \
    --disable-palmtop \
    --with-xinerama \
    --with-gnu-ld \
    --enable-new-ldflags \
    --with-pic \
    --disable-rpath \
    --program-transform-name="" \
    --mandir=%_mandir \
    --enable-mysql \
    --enable-pgsql \
    --enable-scripting

%make_build
%make_build -C filters/kpresenter/powerpoint
%make_build -C filters/krita/magick

%install
%if %unstable
%set_strip_method none
%endif

%make install DESTDIR=%buildroot RUN_KAPPFINDER=no
%make install DESTDIR=%buildroot RUN_KAPPFINDER=no -C filters/kpresenter/powerpoint
%make install DESTDIR=%buildroot RUN_KAPPFINDER=no -C filters/krita/magick

# delete files same with kdelibs
#for n in `rpm -ql kdelibs| grep /usr/share/mimelnk`
#do
#    [ -f %buildroot/$n ] && rm -f  %buildroot/$n
#done

# move .desktop-s
for f in `find %buildroot/%_Kapplnk -type f -name *.desktop| grep -v krita_`
do
    mv $f %buildroot/%_Kmenudir/
done
for f in `find %buildroot/%_Kapplnk -type f -name *.desktop| grep -v '.hidden'`
do
    mv $f %buildroot/%_Kapplnk/.hidden/
done

# move configs
mkdir -p %buildroot/%_Kconfig
mv %buildroot/%_datadir/config/* %buildroot/%_Kconfig/



%post karbon
%post_ldconfig
%update_menus
%postun karbon
%postun_ldconfig
%clean_menus

%post kchart
%post_ldconfig
%update_menus
%postun kchart
%postun_ldconfig
%clean_menus

%post kformula
%post_ldconfig
%update_menus
%postun kformula
%postun_ldconfig
%clean_menus

%post kivio
%post_ldconfig
%update_menus
%postun kivio
%postun_ldconfig
%clean_menus

%post kontour
%post_ldconfig
%update_menus
%postun kontour
%postun_ldconfig
%clean_menus

%post koshell
%post_ldconfig
%update_menus
%postun koshell
%postun_ldconfig
%clean_menus

%post kpresenter
%post_ldconfig
%update_menus
%postun kpresenter
%postun_ldconfig
%clean_menus

%post kspread
%post_ldconfig
%update_menus
%postun kspread
%postun_ldconfig
%clean_menus

%post kugar
%post_ldconfig
%update_menus
%postun kugar
%postun_ldconfig
%clean_menus

%post kword
%post_ldconfig
%update_menus
%postun kword
%postun_ldconfig
%clean_menus

%post kexi
%post_ldconfig
%update_menus
%postun kexi
%postun_ldconfig
%clean_menus

%post krita
%post_ldconfig
%update_menus
%postun krita
%postun_ldconfig
%clean_menus

%post kplato
%post_ldconfig
%update_menus
%postun kplato
%postun_ldconfig
%clean_menus

%post libs
%post_ldconfig
%update_menus
%postun libs
%postun_ldconfig
%clean_menus

%files
%files common

%files libs
%doc %_docdir/HTML/en/koffice
%doc %_docdir/HTML/en/thesaurus
%_bindir/koconverter
%_bindir/krossrunner
%_bindir/kthesaurus
%_Klibdir/clipartthumbnail.so*
%_Klibdir/kodocinfopropspage.so*
%_Klibdir/kofficescan.so*
%_Klibdir/kofficethumbnail.so*
%_Klibdir/krosspython.so*
%_Klibdir/krossruby.so*
%_Klibdir/kthesaurus.so*
%_Klibdir/libgenerickofilter.so*
%_Klibdir/libkounavailpart.so*
%_Klibdir/libthesaurustool.so*
%_Klibdir/libxsltexport.so*
%_Klibdir/libxsltimport.so*
%_Klibdir/libolefilter.so*
%_libdir/libkchartimageexport.so*
%_libdir/libkchartcommon.so*
%_libdir/libkdchart.so*
%_libdir/libkdeinit_kthesaurus.so*
%_libdir/libkexidbparser.so*
%_libdir/libkexidb.so*
%_libdir/libkexiutils.so*
%_libdir/libkformulalib.so*
%_libdir/libkochart.so*
%_libdir/libkofficecore.so*
%_libdir/libkofficeui.so*
%_libdir/libkopainter.so*
%_libdir/libkopalette.so*
%_libdir/libkoproperty.so*
%_libdir/libkotext.so*
%_libdir/libkowmf.so*
%_libdir/libkrossapi.so*
%_libdir/libkrossmain.so*
%_libdir/libkspreadcommon.so*
%_libdir/libkstore.so*
%_libdir/libkwmf.so*
%_Kmenudir/KThesaurus.desktop
%_Kapps/koffice/
%_Kapps/kofficewidgets/
%_Kapps/kross/
%_Kapps/thesaurus/
%_Kapps/xsltfilter/
%_iconsdir/*/*/actions/abs.png
%_iconsdir/*/*/actions/brackets.png
%_iconsdir/*/*/actions/frac.png
%_iconsdir/*/*/actions/gsub.png
%_iconsdir/*/*/actions/gsup.png
%_iconsdir/*/*/actions/int.png
%_iconsdir/*/*/actions/lsub.png
%_iconsdir/*/*/actions/lsup.png
%_iconsdir/*/*/actions/matrix.png
%_iconsdir/*/*/actions/multiline.png
%_iconsdir/*/*/actions/onetwomatrix.png
%_iconsdir/*/*/actions/over.png
%_iconsdir/*/*/actions/paren.png
%_iconsdir/*/*/actions/prod.png
%_iconsdir/*/*/actions/rsub.png
%_iconsdir/*/*/actions/rsup.png
%_iconsdir/*/*/actions/sqrt.png
%_iconsdir/*/*/actions/sum.png
%_iconsdir/*/*/actions/under.png
%_iconsdir/*/*/actions/inscol.png
%_iconsdir/*/*/actions/insrow.png
%_iconsdir/*/*/actions/remcol.png
%_iconsdir/*/*/actions/remrow.png
%_Kservices/clipartthumbnail.desktop
%_Kservices/generic_filter.desktop
%_Kservices/kodocinfopropspage.desktop
%_Kservices/kofficethumbnail.desktop
%_Kservices/kounavail.desktop
%_Kservices/thesaurustool.desktop
%_Kservices/xslt_export.desktop
%_Kservices/xslt_import.desktop
%_Kservices/ole_powerpoint97_import.desktop
%_Kservicetypes/kochart.desktop
%_Kservicetypes/kofficepart.desktop
%_Kservicetypes/kofilter.desktop
%_Kservicetypes/kofilterwrapper.desktop
%_Kservicetypes/koplugin.desktop
# ---------- kfile ------------
%_Klibdir/kfile_abiword.so*
%_Klibdir/kfile_gnumeric.so*
%_Klibdir/kfile_koffice.so*
%_Klibdir/kfile_ooo.so*
%_Kservices/kfile_abiword.desktop
%_Kservices/kfile_gnumeric.desktop
%_Kservices/kfile_koffice.desktop
%_Kservices/kfile_ooo.desktop
# ---------- koshell ------------
%doc %_docdir/HTML/en/koshell
%_bindir/koshell
%_libdir/libkdeinit_koshell.so*
%_Klibdir/koshell.so*
%_Kcfg/koshell.kcfg
%_Kmenudir/koshell.desktop
%_Kapps/koshell
%_iconsdir/*/*/apps/koshell.*


#%files kontour
#%doc %_docdir/HTML/en/kontour
#%_bindir/kontour
#%_libdir/kontour.so*
#%_Klibdir/libkontourpart.*
#%_datadir/applnk/Office/kontour.desktop
#%_datadir/apps/kontour
#%_datadir/templates/.source/Illustration.kil
#%_datadir/templates/Illustration.desktop
#%_iconsdir/*/*/apps/kontour.png


%files karbon
%_datadir/apps/konqueror/servicemenus/karbon_konqi.desktop
%_datadir/templates/Illustration.desktop
%_datadir/templates/.source/Illustration.karbon
#
%_Klibdir/libkarbon*import.so*
%_Klibdir/libkarbon*export.so*
%_Klibdir/liboodrawimport.so*
%_Klibdir/libwmfexport.so*
%_Klibdir/libwmfimport.so*
%_Kservices/karbon_*_import.desktop
%_Kservices/karbon_*_export.desktop
#
%doc %_docdir/HTML/en/karbon
%_bindir/karbon
%_Klibdir/karbon_*.so*
%_Klibdir/karbon.so*
%_Klibdir/libkarbonpart.so*
%_libdir/libkarboncommon.so*
%_libdir/libkdeinit_karbon.so*
%_Kmenudir/karbon.desktop
%_Kapps/karbon/
%_iconsdir/*/*/apps/karbon.*
%_Kservices/karbondefaulttools.desktop
%_Kservices/karbonimagetool.desktop
%_Kservices/karbonpart.desktop
%_Kservices/karbonzoomtool.desktop
%_Kservicetypes/karbon_module.desktop


%files kchart
%doc %_docdir/HTML/en/kchart
%_Kapps/konqueror/servicemenus/kchart_konqi.desktop
%_Klibdir/libkchart*export.*
%_datadir/services/kchart_*_export.desktop
#
%_bindir/kchart
%_Klibdir/kchart.so*
%_Klibdir/libkchartpart.so*
%_libdir/libkdeinit_kchart.so*
%_Kmenudir/kchart.desktop
%_Kapps/kchart
%_iconsdir/*/*/apps/kchart.png
%_Kservices/kchartpart.desktop


%files krita
%_datadir/apps/konqueror/servicemenus/krita_konqi.desktop
#
%_Klibdir/libkrita*export.*
%_Klibdir/libkrita*import.*
%_Kapplnk/.hidden/krita_magick.desktop
%_Kapplnk/.hidden/krita_jpeg.desktop
%_Kapplnk/.hidden/krita_openexr.desktop
%_Kapplnk/.hidden/krita_png.desktop
%_Kapplnk/.hidden/krita_raw.desktop
%_Kapplnk/.hidden/krita_tiff.desktop
%_Kapplnk/.hidden/krita_pdf.desktop
%_Kservices/krita_*_export.desktop
%_Kservices/krita_*_import.desktop
#
%doc %_docdir/HTML/en/krita
%_bindir/krita
%_Klibdir/kritabumpmap.so*
%_Klibdir/kritacimg.so*
%_Klibdir/kritacmykplugin.so*
%_Klibdir/kritacolorrange.so*
%_Klibdir/kritacolorsfilters.so*
%_Klibdir/kritacolorspaceconversion.so*
%_Klibdir/kritaconvolutionfilters.so*
%_Klibdir/kritadefaultpaintops.so*
%_Klibdir/kritadefaulttools.so*
%_Klibdir/kritadropshadow.so*
%_Klibdir/kritaembossfilter.so*
%_Klibdir/kritaexample.so*
%_Klibdir/kritafiltersgallery.so*
%_Klibdir/kritagrayplugin.so*
%_Klibdir/kritahistogramdocker.so*
%_Klibdir/kritahistogram.so*
%_Klibdir/kritaimageenhancement.so*
%_Klibdir/kritaimagesize.so*
%_Klibdir/krita_*_plugin.so*
%_Klibdir/kritaoilpaintfilter.so*
%_Klibdir/kritapixelizefilter.so*
%_Klibdir/kritaraindropsfilter.so*
%_Klibdir/kritargbplugin.so*
%_Klibdir/kritarotateimage.so*
%_Klibdir/kritaroundcornersfilter.so*
%_Klibdir/kritascreenshot.so*
%_Klibdir/kritascripting.so*
%_Klibdir/kritaselectiontools.so*
%_Klibdir/kritaseparatechannels.so*
%_Klibdir/kritashearimage.so*
%_Klibdir/kritasmalltilesfilter.so*
#%_Klibdir/kritasmearybrush.so*
%_Klibdir/krita.so*
%_Klibdir/kritasobelfilter.so*
%_Klibdir/kritatoolcrop.so*
%_Klibdir/kritatoolfilter.so*
%_Klibdir/kritatoolpolygon.so*
%_Klibdir/kritatoolpolyline.so*
%_Klibdir/kritatoolselectsimilar.so*
%_Klibdir/kritatoolstar.so*
%_Klibdir/kritatooltransform.so*
%_Klibdir/kritawetplugin.so*
%_Klibdir/krosskritacore.so*
%_Klibdir/libkritapart.so*
%_Klibdir/kritacolorify.so*
%_Klibdir/kritalevelfilter.so*
%_Klibdir/kritablurfilter.so*
%_Klibdir/kritaextensioncolorsfilters.so*
%_Klibdir/kritafastcolortransfer.so*
%_Klibdir/kritalenscorrectionfilter.so*
%_Klibdir/kritamodifyselection.so*
%_Klibdir/kritanoisefilter.so*
%_Klibdir/kritarandompickfilter.so*
%_Klibdir/kritasubstrate.so*
%_Klibdir/kritatoolcurves.so*
%_Klibdir/kritatoolperspectivegrid.so*
%_Klibdir/kritatoolperspectivetransform.so*
%_Klibdir/kritaunsharpfilter.so*
%_Klibdir/kritawavefilter.so*
%_libdir/libkdeinit_krita.so*
%_libdir/libkritacolor.so*
%_libdir/libkritacommon.so*
%_libdir/libkritagrayscale.so*
%_libdir/libkrita_*.so*
%_libdir/libkritaimage.so*
%_libdir/libkritargb.so*
%_libdir/libkritascripting.so*
%_libdir/libkritaui.so*
%_Kmenudir/krita.desktop
%_Kapps/krita/
%_Kapps/kritaplugins/
%_iconsdir/*/*/apps/krita.*
%_Kservices/kritabumpmapfilter.desktop
%_Kservices/kritacimg.desktop
%_Kservices/kritacmykplugin.desktop
%_Kservices/krita_*_plugin.desktop
%_Kservices/kritacolorrange.desktop
%_Kservices/kritacolorsfilter.desktop
%_Kservices/kritacolorifyfilter.desktop
%_Kservices/kritacolorspaceconversion.desktop
%_Kservices/kritaconvolutionfilters.desktop
%_Kservices/kritadefaultpaintops.desktop
%_Kservices/kritadefaulttools.desktop
%_Kservices/kritadropshadow.desktop
%_Kservices/kritaembossfilter.desktop
%_Kservices/kritaexample.desktop
%_Kservices/kritafiltersgallery.desktop
%_Kservices/kritagrayplugin.desktop
%_Kservices/kritahistogram.desktop
%_Kservices/kritahistogramdocker.desktop
%_Kservices/kritaimageenhancement.desktop
%_Kservices/kritaimagesize.desktop
%_Kservices/kritaoilpaintfilter.desktop
%_Kservices/kritalevelfilter.desktop
%_Kservices/kritapart.desktop
#%_Klibdir/kritaperftest.so*
#%_Kservices/kritaperftest.desktop
%_Kservices/kritapixelizefilter.desktop
%_Kservices/kritaraindropsfilter.desktop
%_Kservices/kritargbplugin.desktop
%_Kservices/kritarotateimage.desktop
%_Kservices/kritaroundcornersfilter.desktop
%_Kservices/kritascreenshot.desktop
%_Kservices/kritascripting.desktop
%_Kservices/kritaselectiontools.desktop
%_Kservices/kritaseparatechannels.desktop
%_Kservices/kritashearimage.desktop
%_Kservices/kritasmalltilesfilter.desktop
#%_Kservices/kritasmearybrush.desktop
%_Kservices/kritasobelfilter.desktop
%_Kservices/kritatoolcrop.desktop
%_Kservices/kritatoolfilter.desktop
%_Kservices/kritatoolpolygon.desktop
%_Kservices/kritatoolpolyline.desktop
%_Kservices/kritatoolselectsimilar.desktop
%_Kservices/kritatoolstar.desktop
%_Kservices/kritatooltransform.desktop
%_Kservices/kritawetplugin.desktop
%_Kservices/kritablurfilter.desktop
%_Kservices/kritaextensioncolorsfilters.desktop
%_Kservices/kritafastcolortransfer.desktop
%_Kservices/kritalenscorrectionfilter.desktop
%_Kservices/kritamodifyselection.desktop
%_Kservices/kritanoisefilter.desktop
%_Kservices/kritarandompickfilter.desktop
%_Kservices/kritasubstrate.desktop
%_Kservices/kritatoolcurves.desktop
%_Kservices/kritatoolperspectivegrid.desktop
%_Kservices/kritatoolperspectivetransform.desktop
%_Kservices/kritaunsharpfilter.desktop
%_Kservices/kritawavefilter.desktop
%_Kservicetypes/krita_*.desktop


%files kexi
%_datadir/apps/konqueror/servicemenus/kexi_konqi.desktop
#
%doc %_docdir/HTML/en/kexi
%_bindir/kexi
%_bindir/kexi_*
%_bindir/ksqlite*
%_Klibdir/kexidb_*.so*
%_Klibdir/kexihandler_*.so*
%_Klibdir/keximigrate_*.so*
%_Klibdir/kexi.so*
%_Klibdir/kformdesigner_*.so*
%_Klibdir/krosskexiapp.so*
%_Klibdir/krosskexidb.so*
%_libdir/libkdeinit_kexi.so*
%_libdir/libkexicore.so*
%_libdir/libkexidatatable.so*
%_libdir/libkexiextendedwidgets.so*
%_libdir/libkexiformutils.so*
%_libdir/libkexiguiutils.so*
%_libdir/libkeximain.so*
%_libdir/libkeximigrate.so*
%_libdir/libkexirelationsview.so*
%_libdir/libkexisql2.so*
%_libdir/libkexisql3.so*
%_libdir/libkformdesigner.so*
%_Kmenudir/kexi.desktop
%_datadir/apps/kexi/
%config %_Kconfig/kexirc
%config %_Kconfig/magic/kexi.magic
%_iconsdir/*/*/mimetypes/kexiproject_*.*
%_iconsdir/*/*/apps/kexi.*
%_Kmimelnk/application/x-kexiproject-*.desktop
%_Kmimelnk/application/x-kexi-connectiondata.desktop
%_Kservices/kexidb_*.desktop
%_Kservices/kexi/
%_Kservices/keximigrate_*.desktop
%_Kservices/kformdesigner/
%_Kservicetypes/kexidb_driver.desktop
%_Kservicetypes/kexihandler.desktop
%_Kservicetypes/keximigration_driver.desktop
%_Kservicetypes/widgetfactory.desktop

%files kformula
%_datadir/apps/konqueror/servicemenus/kformula_konqi.desktop
%_Klibdir/libkfolatexexport.so*
%_Klibdir/libkfomathmlexport.so*
%_Klibdir/libkfomathmlimport.so*
%_Klibdir/libkfopngexport.so*
%_Klibdir/libkfosvgexport.so*
%_datadir/services/kformula_*_import.desktop
%_datadir/services/kformula_*_export.desktop
#
%doc %_docdir/HTML/en/kformula
%_bindir/kformula
%_Klibdir/kformula.so*
%_Klibdir/libkformulapart.so*
%_libdir/libkdeinit_kformula.so*
%_Kmenudir/kformula.desktop
%_Kapps/kformula/
%_iconsdir/*/*/apps/kformula.png
%_Kservices/kformulapart.desktop


%files kivio
%_Klibdir/libkivioimageexport.so*
%_Kservices/kivio_image_export.desktop
%_datadir/apps/konqueror/servicemenus/kivio_konqi.desktop
%_Kcfg/kivio.kcfg
#
%doc %_docdir/HTML/en/kivio
%_bindir/kivio
%_Klibdir/kivio.so*
%_Klibdir/libkivioconnectortool.so*
%_Klibdir/libkiviopart.so*
%_Klibdir/libkivioselecttool.so*
%_Klibdir/libkiviotargettool.so*
%_Klibdir/libkiviotexttool.so*
%_Klibdir/libkiviozoomtool.so*
%_Klibdir/straight_connector.so*
%_libdir/libkdeinit_kivio.so
%_libdir/libkiviocommon.so*
%_Kmenudir/kivio.desktop
%_Kapps/kivio/
%_iconsdir/*/*/apps/kivio.png
%_Kservices/kivioconnectortool.desktop
%_Kservices/kiviopart.desktop
%_Kservices/kivioselecttool.desktop
%_Kservices/kiviotargettool.desktop
%_Kservices/kiviotexttool.desktop
%_Kservices/kiviozoomtool.desktop


%files kpresenter
%_datadir/apps/konqueror/servicemenus/kpresenter_konqi.desktop
%_datadir/templates/.source/Presentation.kpt
%_datadir/templates/Presentation.desktop
#
%_Klibdir/libkpresenterbmpexport.so*
%_Klibdir/libkpresenterjpegexport.so*
%_Klibdir/libkpresentermngexport.so*
%_Klibdir/libkpresenterpngexport.so*
%_Klibdir/libkpresentersvgexport.so*
%_Klibdir/libkpresenterxbmexport.so*
%_Klibdir/libkpresenterxpmexport.so*
%_Klibdir/libkprkword.so*
%_Klibdir/libooimpressexport.so*
%_Klibdir/libooimpressimport.so*
%_Klibdir/libpowerpointimport.so*
%_libdir/libkpresenterimageexport.so*
%_Kservices/kpresenter_*_export.desktop
%_Kservices/kpresenter_*_import.desktop
%_Kservices/kprkword.desktop
#
%doc %_docdir/HTML/en/kpresenter
%_bindir/kpresenter
%_bindir/kprconverter.pl
%_Klibdir/kpresenter.so*
%_Klibdir/libkpresenterpart.so*
%_libdir/libkdeinit_kpresenter.so*
%_libdir/libkpresenterprivate.so*
%_Kapps/kpresenter/
%_Kmenudir/kpresenter.desktop
%_iconsdir/*/*/apps/kpresenter.png
%_Kservices/kpresenterpart.desktop


%files kspread
%_Kapps/konqueror/servicemenus/kspread_konqi.desktop
%_datadir/templates/SpreadSheet.desktop
%_datadir/templates/.source/SpreadSheet.kst
#
%_datadir/services/kspread_*_import.desktop
%_datadir/services/kspread_*_export.desktop
%_Klibdir/libcsvexport.so*
%_Klibdir/libcsvimport.so*
%_Klibdir/libapplixspreadimport.so
%_Klibdir/libdbaseimport.so
%_Klibdir/libexcelimport.so*
%_Klibdir/libgnumericexport.so*
%_Klibdir/libgnumericimport.so*
%_Klibdir/libkspread*export.*
%_Klibdir/libopencalcexport.so*
%_Klibdir/libopencalcimport.so*
%_Klibdir/libqproimport.so*
%_Klibdir/krosskspreadcore.so*
%_Klibdir/kspreadscripting.so*
%_Klibdir/libkspreadkexiimport.so*
#
%doc %_docdir/HTML/en/kspread
%_bindir/kspread
%_libdir/libkdeinit_kspread.so*
%_Klibdir/libkspreadinsertcalendar.so*
%_Klibdir/libkspreadpart.so*
%_Klibdir/kspread.so*
%_Kmenudir/kspread.desktop
%_datadir/apps/kspread/
%_iconsdir/*/*/apps/kspread.png
%_Kservices/kspreadpart.desktop
%_Kservices/kspreadscripting.desktop


%files kugar
%_Klibdir/libkugarnopimport.so*
%_Kservices/kugar_kugar_import.desktop
#
%doc %_docdir/HTML/en/kugar
%_bindir/kugar
%_bindir/kudesigner
%_Klibdir/kugar.so*
%_Klibdir/kudesigner.so*
%_Klibdir/libkudesignerpart.so*
%_Klibdir/libkugarpart.so*
%_libdir/libkdeinit_kugar.so*
%_libdir/libkdeinit_kudesigner.so*
%_libdir/libkudesignercore.so*
%_libdir/libkugarlib.so*
%_Kmenudir/kugar.desktop
%_Kmenudir/kudesigner.desktop
%_Kapps/kudesigner/
%_Kapps/kugar
%_iconsdir/*/*/apps/kugar.png
%_iconsdir/*/*/apps/kudesigner.png
%_iconsdir/*/*/mimetypes/kugardata.png
%_Kservices/kugarpart.desktop


%files kword
%_Kapps/konqueror/servicemenus/kword_*.desktop
%_datadir/templates/.source/TextDocument.kwt
%_datadir/templates/TextDocument.desktop
#
%_libdir/libkwordexportfilters.so*
%_Klibdir/libabiwordexport.so*
%_Klibdir/libabiwordimport.so*
%_Klibdir/libamiproexport.so*
%_Klibdir/libamiproimport.so*
%_Klibdir/libapplixwordimport.so*
%_Klibdir/libasciiexport.so*
%_Klibdir/libasciiimport.so*
%_Klibdir/libdocbookexport.so*
%_Klibdir/libhancomwordimport.so*
%_Klibdir/libhtmlexport.so*
%_Klibdir/libhtmlimport.so*
%_Klibdir/libkwordkword1dot3import.so*
%_Klibdir/libkwordlatexexport.so*
%_Klibdir/libmswordimport.so*
%_Klibdir/libmswriteexport.so*
%_Klibdir/libmswriteimport.so*
%_Klibdir/liboowriterexport.so*
%_Klibdir/liboowriterimport.so*
%_Klibdir/libpalmdocexport.so*
%_Klibdir/libpalmdocimport.so*
%_Klibdir/libpdfimport.so*
%_Klibdir/librtfexport.so*
%_Klibdir/librtfimport.so*
%_Klibdir/libwmlexport.so*
%_Klibdir/libwmlimport.so*
%_Klibdir/libwpexport.so*
%_Klibdir/libwpimport.so*
%_Kservices/kword_*_export.desktop
%_Kservices/kword_*_import.desktop
#
%doc %_docdir/HTML/en/kword
%_bindir/kword
%_Klibdir/kwmailmerge_*.so*
%_Klibdir/kword.so*
%_Klibdir/libkwordpart.so*
%_libdir/libkdeinit_kword.so*
%_libdir/libkwmailmerge_interface.so*
%_libdir/libkwordprivate.so*
%_Kapps/kword/
%_iconsdir/*/*/apps/kword.png
%_Kmenudir/kword.desktop
%_Kservices/kwmailmerge_*.desktop
%_Kservices/kwordpart.desktop
%_Kservices/kwserialletter_*
%_Kservicetypes/kwmailmerge.desktop


%files kplato
%doc %_docdir/HTML/en/kplato
%_bindir/kplato
%_libdir/libkdeinit_kplato.so*
%_Klibdir/kplato.so*
%_Klibdir/libkplatopart.so*
%_Kapps/kplato/
%_Kservices/kplatopart.desktop
%_iconsdir/*/*/apps/kplato.*
%_Kmenudir/kplato.desktop

%files devel
%doc %_docdir/HTML/en/koffice-apidocs/
%_includedir/*
%if %_keep_libtool_files
%_libdir/*.la
%_Klibdir/*.la
%endif


%changelog
* Thu Jun 14 2007 Sergey V Turchin <zerg at altlinux dot org> 4:1.6.3-alt2
- fix files section to resolve subpackages requires; thanks shrek@alt

* Fri Jun 08 2007 Sergey V Turchin <zerg at altlinux dot org> 4:1.6.3-alt1
- new version

* Wed May 30 2007 Sergey V Turchin <zerg at altlinux dot org> 4:1.6.2-alt3
- rebuilt with new config files placement macros

* Thu Mar 29 2007 Sergey V Turchin <zerg at altlinux dot org> 4:1.6.2-alt2
- rebuilt with new libpqxx

* Mon Feb 26 2007 Sergey V Turchin <zerg at altlinux dot org> 4:1.6.2-alt1
- new version

* Mon Jan 15 2007 Sergey V Turchin <zerg at altlinux dot org> 4:1.6.1-alt1
- new version

* Wed Oct 18 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.6.0-alt1
- new version

* Mon Jul 17 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.5.2-alt1
- new version

* Thu Jul 06 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.5.1-alt2
- rebuilt with new libpqxx

* Tue May 23 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.5.1-alt1
- new version

* Fri Apr 14 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.5.0-alt2
- built with PostgreSQL support in Kexi

* Thu Apr 13 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.5.0-alt1
- 1.5 release

* Mon Apr 10 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.5.0-alt0.1.rc1
- RC1

* Wed Feb 01 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.2-alt4
- fix build requires

* Fri Jan 27 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.2-alt3
- fix build on x86_64

* Tue Jan 10 2006 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.2-alt2
- add patch for pdf import

* Mon Oct 17 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.2-alt1
- new version

* Tue Oct 11 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.1-alt4
- add patch for rtf filter

* Thu Sep 15 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.1-alt3
- rebuilt with new ImageMagik

* Tue Sep 13 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.1-alt2
- rebuilt with new ImageMagik

* Fri Aug 12 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.1-alt1
- new version

* Fri Jul 01 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.4.0a-alt1
- new version

* Thu Jun 09 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.98-alt1
- new version

* Thu Mar 17 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.5-alt3
- rebuild with new python

* Mon Jan 24 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.5-alt2
- add patch for xpdf filter

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.5-alt1
- new version

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.3-alt1
- new version

* Thu Jul 08 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.2-alt1
- new version

* Fri Jun 18 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.1-alt2
- fix "rebuild failed"
- fix menu

* Thu May 06 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.1-alt1
- new version

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt2
- fix starting via customized menu

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt1
- release

* Fri Dec 05 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.3.rc1
- remove *.la files from package
- rebuild with new ImageMagic
- update wv2 to 0.2.1

* Tue Nov 04 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.2.rc1
- 1.3-rc1

* Thu Oct 02 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.1.beta4
- 1.3-beta4

* Wed Aug 27 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.1.beta3
- 1.3-beta3

* Fri Jun 20 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.1.cvs
- update from cvs

* Tue May 06 2003 Sergey V Turchin <zerg at altlinux dot ru> 4:1.3.0-alt0.0.2.beta1
- 1.3-beta1 test build

* Mon Mar 17 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt5
- update code from cvs KOFFICE_1_2_BRANCH
- split

* Wed Feb 12 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt4
- update code from cvs KOFFICE_1_2_BRANCH

* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt3
- exclude %_datadir/services/otherofficethumbnail.desktop

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt2
- update from cvs

* Mon Dec 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt1
- new version

* Fri Nov 29 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt5
- update from cvs

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt4
- update from cvs
- fix requires

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt3
- final
- build wit gcc3.2 && objprelink

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt2
- update from cvs

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt1.rc1
- new version

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt5
- rebuild with KDE3

* Mon Mar 18 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt4
- sync with cooker (memleak patches)

* Tue Jan 22 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt3
- rebuild without fam

* Tue Jan 15 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt2
- sync with coocker (update cvs branch)

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 4:1.1-alt8
- fix buildrequires

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.1-alt7
- rebuilt with libpng.so.3

* Thu Aug 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt6
- release 1.1

* Tue Aug 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt5
- Fixed dependencies

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt4
- Fixed .la files

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt3
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 1.1-alt2
= koshell open file patch

* Tue Aug 21 2001 Rider <rider@altlinux.ru> 1.1-alt1
- latest CVS (1.1 final)

* Mon Jul 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt0.rc1.2
- build RC1 for ALT

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.2mdk
- Fix doc for Mandrake 8.1 (patch0)

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.1mdk
- koffice 1.1 RC1

* Thu Jul 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.4mdk
- Rebuild with kde2.2beta1

* Wed Jun 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.3mdk
- Fix crash in killustrator and kword

* Mon Jun 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.2mdk
- Build for Cooker
- Add missing PreReq
- Move koshell in Office/Accessories (Frederic CROZAT)

* Mon Jun 18 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.1mdk
- 1.1.beta3
- Begin to add tests to automatically build right package for right distribution
- Fix and adapt LMDK menu structure for each supported LDMK distributions
- Complete BuildRequires for each supported LMDK distributions
- Make Munu structure generation readable (i.e. respect alphabetic order)
- Fix Obsoletes (i.e. learn to a package to don't obsole itself)
- Enable debug and don't strip when we are not in final release
- Enable xinerama for 8.1 distribution (currently Cooker)
- Disable --enable-final at present time (currently broken)
- Disable --enable-debug for LMDK 8.0 (buggy GCC)
- Move static libraries in devel package

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-0.beta2.3mdk
- New Office menu structure

* Thu May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta2.2mdk
- Re-enable debug (low level)
- Fix CFLAGS and CXXFLAGS
- Fix Menu structure

* Thu May 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta2.1mdk
- koffice1.1beta2

* Fri Apr 20 2001 Laurent MONTEL <lmontel@mandrakesoft.cpm> 1.1-0.beta1.1mdk
- koffice1.1beta1
- Increase Epoch because now name of this package is koffice1.1 and no longer
  koffice2.0

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-7mdk
- Update code
- port to new kde menu entry

* Mon Apr 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-6mdk
- Update code

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-5mdk
- Add missing files

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-4mdk
- Update code + add kugar

* Sat Mar 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-3mdk
- Update code

* Thu Mar 08 2001 laurent MONTEL <lmontel@mandrakesoft.com> 2.1-2mdk
- New kword version

* Thu Mar 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- First package of new Koffice

